<div fxLayout="column" fxFlex class="page-wrapper">
    <mat-sidenav-container>
        <mat-sidenav #sidenav role="navigation" mode="push" position="end">
            <div fxLayoutAlign="top left" class="nav-item">
                <span fxFlex></span>
                <button mat-icon-button class="menu__close" (click)="sidenav.toggle()">
                    <mat-icon>close</mat-icon>
                </button>

            </div>
            <div fxLayout="column" fxLayoutAlign="center center">
                <ng-container *ngFor="let sm of siteMenuItems; trackBy: trackByFn" class="nav-item">
                    <a *ngIf="sm.field_elg_menu_link_type === 'External'" mat-button color="primary"
                        class="mx-3 nav-item" target="_blank" rel="noopener" (click)="sidenav.toggle()"
                        [attr.href]="[sm.relative]">
                        {{ sm.title }}
                    </a>

                    <a *ngIf="sm.field_elg_menu_link_type === null" color="primary" routerLinkActive="active-list-item"
                        [routerLinkActiveOptions]="{exact: true}" [routerLink]="['/', sm.relative.replace('/cms/', '')]"
                        class="mx-3 nav-item" (click)="sidenav.toggle()"
                        [class.disabled]="sm.field_show_as_not_clickable === '1'">
                        {{ sm.title }}
                        <div class="nav-item-underline"></div>
                    </a>

                    <a *ngIf="sm.field_elg_menu_link_type === 'Angular'" color="primary"
                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: true}"
                        [routerLink]="['/', sm.relative.replace('/cms/', '')]" class="mx-3 nav-item"
                        (click)="sidenav.toggle()" [class.disabled]="sm.field_show_as_not_clickable === '1'">
                        {{ sm.title }}
                        <div class="nav-item-underline"></div>
                    </a>

                    <a *ngIf="sm.field_elg_menu_link_type === 'React'" color="primary"
                        routerLinkActive="active-list-item" [routerLinkActiveOptions]="{exact: true}"
                        [routerLink]="['/catalogue', sm.relative.replace('/cms/', '')]" class="mx-3 nav-item"
                        (click)="sidenav.toggle()" [class.disabled]="sm.field_show_as_not_clickable === '1'">
                        {{ sm.title }}
                        <div class="nav-item-underline"></div>
                    </a>

                    <a *ngIf="sm.field_elg_menu_link_type === 'CMS'" color="primary" routerLinkActive="active-list-item"
                        [routerLinkActiveOptions]="{exact: true}" [routerLink]="['/', sm.relative.replace('/cms/', '')]"
                        class="mx-3 nav-item" (click)="sidenav.toggle()"
                        [class.disabled]="sm.field_show_as_not_clickable === '1'">
                        {{ sm.title }}
                        <div class="nav-item-underline"></div>
                    </a>

                </ng-container>
                <ng-container *ngFor="let sm of feedbackItems; trackBy: trackByFn" class="nav-item">
                    <a *ngIf="sm.field_elg_menu_link_type === 'External'" target="_blank" rel="noopener" color="accent"
                        class="mx-3 nav-item" [attr.href]="[sm.absolute]" (click)="sidenav.toggle()">
                        {{ sm.title }}
                    </a>

                    <a *ngIf="sm.field_elg_menu_link_type === 'CMS'" class="mx-3 nav-item" color="accent"
                        [routerLink]="['/', sm.relative.replace('/cms/', '')]" (click)="sidenav.toggle()"
                        [class.disabled]="sm.field_show_as_not_clickable === '1'">
                        {{ sm.title }}
                    </a>

                    <a *ngIf="sm.field_elg_menu_link_type === 'Angular'" color="accent" class="mx-3 nav-item"
                        [routerLink]="['/',sm.relative.replace('/cms/', '')]" (click)="sidenav.toggle()"
                        [class.disabled]="sm.field_show_as_not_clickable === '1'">
                        {{ sm.title }}
                    </a>

                    <a *ngIf="sm.field_elg_menu_link_type === 'React'" class="mx-3 nav-item" color="accent"
                        [routerLink]="['/catalogue', sm.relative.replace('/cms/', '')]" (click)="sidenav.toggle()"
                        [class.disabled]="sm.field_show_as_not_clickable === '1'">
                        {{ sm.title }}
                    </a>

                </ng-container>
            </div>
        </mat-sidenav>
        <mat-sidenav-content>
            <app-header (sidenavToggle)="sidenav.toggle()"></app-header>
            <div class="main">
                <div class="content-wrapper">
                    <router-outlet></router-outlet>
                </div>
                <app-foot></app-foot>
            </div>
        </mat-sidenav-content>
    </mat-sidenav-container>
</div>